%define libname %mklibname vde 2
%define develname %mklibname -d vde
%define subrel 1

Name:		vde2
Version:	2.2.2
Release:	%mkrel 5
Summary:	Virtual Distributed Ethernet
Source0:	http://prdownloads.sourceforge.net/vde/%{name}-%{version}.tar.bz2
Source1:	README.mageia
# Build fixes
Patch0:		vde-2.2.2-string-format.patch
Patch1:		vde-2.2.2-fix-linking.patch
Patch2:		vde-2.2.2-fix-includes.patch
# (cjw) fix 'crash' due to runtime check
Patch3:		vde-2.2.2-glibc-check.patch
# some files are under GPLv2 only
License:	GPL v2 and GPL v2+
Group:		Networking/Other
Url:		http://vde.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	vde <= 1.5.11
Provides:	vde = %{version}-%{release}
Conflicts:	%develname < 2.2.2-3

%description
VDE is a virtual network that can be spawned over a set of physical
computer over the Internet

VDE connects together:
  (1) real GNU-linux boxes (tuntap)
  (2) virtual machines: UML-User Mode Linux, qemu, bochs, MPS.

VDE can be used:
  (i) to create a general purpose tunnel (every protocol that runs
    on a Ethernet can be put into the tunnel)
  (ii) to connect a set of virtual machine to the Internet with no
    need of free access of tuntap
  (iii) to support mobility: a VDE can stay interconnected despite
    of the change of virtual cables, i.e. the change of IP addresses
    and interface in the real world

%package -n %{libname}
Summary: VDE libraries
Group: Networking/Other

%description -n %{libname}
Library files for VDE

%package -n %{develname}
Summary: VDE development libraries
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel
Provides: vde-devel = %{version}-%{release}
Provides: libvde-devel = %{version}-%{release}
Provides: libvde2-devel = %{version}-%{release}
Provides: %{_lib}vde2-devel = %{version}-%{release}
Obsoletes: %{_lib}vde2-devel
Conflicts: %name < 2.2.2-3

%description -n %{develname}
Development files (headers, libraries) for libvde

%prep
%setup -q
%patch0 -p1 -b .strfmt
%patch1 -p1 -b .link
%patch2 -p1 -b .limits
%patch3 -p1 -b .buffer-overflow
cp %SOURCE1 .

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/vde_tunctl
%{_libdir}/vdetap
%doc README README.mageia
%{_mandir}/man*/*.*
%{_sysconfdir}/vde2/libvdemgmt/asyncrecv.rc
%{_sysconfdir}/vde2/libvdemgmt/closemachine.rc
%{_sysconfdir}/vde2/libvdemgmt/openmachine.rc
%{_sysconfdir}/vde2/libvdemgmt/sendcmd.rc
%{_sysconfdir}/vde2/vdecmd
%{_libdir}/vde2/libvde*.so
%{_libdir}/vde2/vde_l3/bfifo.so
%{_libdir}/vde2/vde_l3/pfifo.so
%{_libdir}/vde2/vde_l3/tbf.so

%files -n %{libname}
%{_libdir}/libvde*.so.*

%files -n %{develname}
%{_includedir}/libvde*.h
%{_libdir}/libvde*.so
%{_libdir}/libvde*.*a
%{_libdir}/vde2/libvde*.*a
%{_libdir}/vde2/vde_l3/bfifo.la
%{_libdir}/vde2/vde_l3/pfifo.la
%{_libdir}/vde2/vde_l3/tbf.la



%changelog
* Fri Jun 17 2011 cjw <cjw> 2.2.2-5.1.mga1
+ Revision: 108586
- patch3: fix crash of slirpvde due to buffer overflow check in glibc (fixes #1678)

  + schedbot <schedbot>
    - Copying release 2.2.2-5.mga1 to pristine/ directory.

* Sat Apr 30 2011 misc <misc> 2.2.2-5.mga1
+ Revision: 93823
- fix License
- increase Release to match the one of mdv

* Mon Mar 07 2011 saispo <saispo> 2.2.2-1.mga1
+ Revision: 65919
- Back on vde2 2.2.2
- Back on vde2 2.2.2

  + misc <misc>
    - update to 2.3.1
    - remove patch 2, not needed
    - update patch 1, and send it upstream
    - add patch3, to fix another linking issue
    - remove old Obsoletes
    - fix revision
    - imported package vde2


* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 2.2.2-5mdv2011.0
+ Revision: 579333
- add requires on lib package

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-4mdv2010.1
+ Revision: 521165
- rebuilt for 2010.1

* Sat Oct 03 2009 Funda Wang <fwang@mandriva.org> 2.2.2-3mdv2010.0
+ Revision: 453243
- move module into main package
- fix linking

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Tue Feb 24 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.2-1mdv2009.1
+ Revision: 344592
- Update to new version 2.2.2
- Add patches to fix build (adds limits.h includes for PATH_MAX,
  fix building with -Werror=format and fix linkage issue with
  --no-undefined and --as-needed)
- Clean up SPEC file
- Don't add major in devel subpackage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.1.6-1mdv2008.1
+ Revision: 140925
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.6-1mdv2008.0
+ Revision: 26390
- Import vde2

